package com.elephant.framework.galaxy.aroad.module.szgl.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.elephant.framework.galaxy.aroad.module.szgl.entity.SzglGsdGcz;
import com.elephant.framework.galaxy.aroad.module.szgl.mapper.SzglGsdGczMapper;
import com.elephant.framework.galaxy.aroad.module.szgl.service.SzglGsdGczService;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 数字公路-观测站
 *
 * @author zyw
 * @date 2019-05-13 11:08:50
 */
@Service
public class SzglGsdGczServiceImpl extends ServiceImpl<SzglGsdGczMapper, SzglGsdGcz> implements SzglGsdGczService {
    @Autowired
    private SzglGsdGczMapper szglGsdGczMapper;

    @Override
    public List<SzglGsdGcz> getGczForQS(String lxbh, double zxzh) {

        List<SzglGsdGcz> list = szglGsdGczMapper.getGczJtl(lxbh,zxzh);
        return list;
    }

    /**
     * 全部观测站
     * @param szglGsdGcz
     * @return
     */
    @Override
    public List<SzglGsdGcz> getAllkGcz(SzglGsdGcz szglGsdGcz) {
        List<SzglGsdGcz> list = szglGsdGczMapper.getAllGcz();
        return list;
    }
    @Override
    public List<Map<String, Object>> querySpotCode(String lxbh, String qdzh, String zdzh) {
        return baseMapper.querySpotCode(lxbh,qdzh,zdzh);
    }
}
